Bug 1685192 - LWP::Authen::Negotiate fails to authenticate to Red Hat SSO web server because of missing mutual authentication
Summary: LWP::Authen::Negotiate fails to authenticate to Red Hat SSO web server becaus...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-LWP-Authen-Negotiate
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-04 15:13 UTC by Petr Pisar
Modified: 2019-09-22 03:19 UTC (History)
2 users (show)

Fixed In Version: perl-LWP-Authen-Negotiate-0.08-20.fc32 perl-LWP-Authen-Negotiate-0.08-20.fc31 perl-LWP-Authen-Negotiate-0.08-18.fc30 perl-LWP-Authen-Negotiate-0.08-17.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-18 00:03:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 128699 None None None 2019-03-04 15:13:14 UTC

Description Petr Pisar 2019-03-04 15:13:14 UTC
I encountered a failure when using LWP to perform a Kerberos authentication against Red Hat SSO web server. I narrowed the issue to the fact that LWP::Authen::Negotiate does not enable GSS_C_MUTUAL_FLAG.

I developed a fix and posted it to the upstream <https://rt.cpan.org/Ticket/Display.html?id=128699>. Please consider applying it to Fedora. If you don't have time and don't object, I can apply it to Fedora instead of you.

Comment 1 Ben Cotton 2019-08-13 17:11:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:32:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Petr Pisar 2019-09-13 10:36:15 UTC
No objections in a half year. I will apply the patch.

Comment 4 Fedora Update System 2019-09-13 10:43:41 UTC
FEDORA-2019-6582b3f9eb has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6582b3f9eb

Comment 5 Fedora Update System 2019-09-13 10:44:50 UTC
FEDORA-2019-2ca7192b69 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2ca7192b69

Comment 6 Fedora Update System 2019-09-13 10:48:01 UTC
FEDORA-2019-62d571e46c has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-62d571e46c

Comment 7 Fedora Update System 2019-09-14 01:40:29 UTC
perl-LWP-Authen-Negotiate-0.08-20.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6582b3f9eb

Comment 8 Fedora Update System 2019-09-14 03:39:53 UTC
perl-LWP-Authen-Negotiate-0.08-18.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2ca7192b69

Comment 9 Fedora Update System 2019-09-14 03:55:18 UTC
perl-LWP-Authen-Negotiate-0.08-17.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-62d571e46c

Comment 10 Fedora Update System 2019-09-18 00:03:27 UTC
perl-LWP-Authen-Negotiate-0.08-20.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-09-22 02:25:33 UTC
perl-LWP-Authen-Negotiate-0.08-18.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-09-22 03:19:54 UTC
perl-LWP-Authen-Negotiate-0.08-17.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.